/* @(#) $Id: sslutil.h 1381 2018-11-10 01:15:30Z leres $ (LBL) */
#ifndef acld_sslutil_h
#define acld_sslutil_h

struct sslclient {
	int s;			/* socket to remote server */
	SSL_CTX *ssl_ctx;
	SSL *ssl;
	int doingwrite;		/* handling SSL_write() */
	const char *name;	/* name of this connection */
	int *rfdp;		/* pointer to read file descriptor */
	int *wfdp;		/* pointer to write file descriptor */
	char remote[64];	/* name of router we're connecting to */
};

extern int sslhandleerr(struct sslclient *, int, const char *);
extern int sslread(SSL *, struct iobuf *);
extern int sslwrite(SSL *, struct iobuf *);
#endif
